*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth; 
}
body{
    background: #080808;
    color: #fff;
    
}
#header{
    width: 100%;
    height: 100vh;
    background-image: url(portfolioImages/backgroundmermaid.PNG );
    background-size: cover;
    background-position: top ;
}
.container{
    padding: 10px 10%;
}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
.logo{
    width: 140px;

}
nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;

}
nav ul li a{
    color: white;
    text-decoration: none;
    font-size: 18px;
    position: relative;

}
nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #ffb24e ;
    position: absolute; 
    left: 0;
    bottom: -6px;
    transition: 0.5s;

}
    nav ul li a:hover::after{
        width: 100%;
    }
.header-text{
    margin-top: 20%;
    font-size: 30px;

}
    .header-text h1{
        font-size: 60px;
        margin-top: 20px;
    }
    .header-text h1 span{
        color: #ffb24e;
    }
/* ----- about------- */
#about{
    padding: 80px 0;
    color: #a8a8a8; 
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.about-col-1{
    
    flex-basis: 35%;
}
.about-col-1 img{
    width:100%;
    border-radius: 15px;
}
.about-col-2{
    flex-basis: 60%;
}
.sub-title{
    font-size: 60px;
    font-weight: 600;
    color: white;
}
.tab-titles{
    display: flex;
    margin: 20px 0 40px;
}
.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}
    .tab-links::after{
        content: '';
        width: 0;
        height: 3px;
        background: #ffb24e;
        position: absolute;
        left: 0;
        bottom: -8px;
        transition: 0.5s;
    }
    .tab-links.active-link::after{
        width: 50%;
    }
    .tab-contents ul li{
        list-style: none;
        margin: 10px 0;

    }
    .tab-contents ul li span{
        color: #ffb24e;
        font-size: 14px;

    }
    .tab-contents{
        display: none;
    }
        .tab-contents.active-tab{
            display: block;
        }

#education a {
    color: #ffb24e; /* Set link text color to yellow */
    
}

/*Portfolio*/
#portfolio{
    padding: 50px 0;
}
.work-list{
    display:grid;
    grid-template-columns: repeat(auto-fit ,minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
    
}
    .work{
        border-radius: 10px;
        position: relative;
        overflow: hidden;  
    }
    .work img{
        width: 100%;
        border-radius: 10px;
        display: block;
        transition:transform 0.5s;
    }
.layer{
    width: 100%;
    height: 0px;
    background: radial-gradient(circle, #000000bb 0%, rgba(0, 0, 0, 0) 100%);
    border-radius: 0px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    transition: height 0.4s;
    
}
/*.layer a{
    margin-top: 20px;
    color: #ec953e;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background-color: white;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    text-align: center;

}*/
.work:hover img{
    transform: scale(1.06);
}
.work:hover .layer{
    height: 10%;
}
#contact{
    padding: 50px;
}
.instagram-icon {
    font-size: 2rem; /* Adjust size as needed */
    transition: transform 0.3s ease, color 0.3s ease; /* Add smooth scaling on hover */
}

.instagram-icon:hover {
    transform: scale(1.2); /* Slightly larger on hover */
    color: #ff9800; /* Optional: Change color on hover */
}
.p5Proj{
    
    display: inline-block;
}

/* Or apply a color specifically to this link using a class or ID */
a {
    color: #ff9800; /* Replace 'red' with your desired color */
}